astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sine1D

# Sine1D

class `astropy.modeling.functional_models.``Sine1D`

  Bases: `astropy.modeling.Fittable1DModel`

  One dimensional Sine model.

  Parameters:

  amplitude : float

  > Oscillation amplitude

  frequency : float

  > Oscillation frequency

  phase : float

  > Oscillation phase

  Other Parameters:

  fixed : a dict

  > A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied : dict

  > A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds : dict

  > A dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons : list

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  See also

  `Const1D`, `Linear1D`

  Notes

  Model formula:

  > f(x) = A \sin(2 \pi f x + 2 \pi p)

  Attributes Summary

  `amplitude` |
  `frequency` |
  `param_names` |
  `phase` |

  Methods Summary

  `evaluate`(x, amplitude, frequency, phase) | One dimensional Sine model function
  `fit_deriv`(x, amplitude, frequency, phase) | One dimensional Sine model derivative

  Attributes Documentation

  `amplitude`
  `frequency`
  `param_names` = ('amplitude', 'frequency', 'phase')
  `phase`

  Methods Documentation

  static `evaluate`(x, amplitude, frequency, phase)

    One dimensional Sine model function

  static `fit_deriv`(x, amplitude, frequency, phase)

    One dimensional Sine model derivative